Redmine - Defect #9228

Range Error: bignum too big to convert into ‘long’
2011-09-12 01:19 - Xagyg Wulf

Status: Closed Start date: 2011-09-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.2.1
Description

Redmine (with the Backlogs plugin) has been running for about 3 weeks without a problem. | tried to access the site today and got
the following errors:

On the server...

[2011-09-12 09:14:12] ERROR RangeError: bignum too big to convert into “long'
D:/redmine-1.2.1/vendor/rails/railties/lib/rails/rack/log_tailer.rb:23:in “seek’
D:/redmine-1.2.1/vendor/rails/railties/lib/rails/rack/log_tailer.rb:23:in “tail_log'
D:/redmine-1.2.1/vendor/rails/railties/lib/rails/rack/log_tailer.rb:18:in "call’
D:/Ruby187/lib/ruby/gems/1.8/gems/rack-1.1.2/lib/rack/content_length.rb:13:in “call'
D:/Ruby187/lib/ruby/gems/1.8/gems/rack-1.1.2/lib/rack/handler/webrick.rb:48:in “service'
D:/Ruby187/lib/ruby/1.8/webrick/httpserver.rb:104:in “service'
D:/Ruby187/lib/ruby/1.8/webrick/httpserver.rb:65:in “run’
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:173:in “start_thread'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:162:in “start’
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:162:in “start_thread'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:95:in “start'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:92:in “each’
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:92:in “start'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:23:in “start'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:82:in “start'
D:/Ruby187/lib/ruby/gems/1.8/gems/rack-1.1.2/lib/rack/handler/webrick.rb:14:in “run’
D:/redmine-1.2.1/vendor/rails/railties/lib/commands/server.rb:111
D:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in “gem_original_require’
D:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in “require’
script/server:3

In the browser...
Internal Server Error
bignum too big to convert into “long'

WEBErick/1.3.1 (Ruby/1.8.7/2011-06-30) at t1w102831:3000

Others who did not log out (didn't close web page) are still working ok. Anyone else who wishes to access the site gets the error
above.

History

#1 - 2011-09-12 01:53 - Xagyg Wulf

- Status changed from New to Resolved

production.log was huge. Deleted production.log and all ok now.

#2 - 2011-09-12 09:02 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Invalid

2025-05-17 1/1



http://www.tcpdf.org

